package org.energy.modules.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 巡检对象一览实体类
 *
 * @author Daf
 * @since 2024-07-11
 */
@Data
@TableName("i_inspection_object")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InspectionObject对象", description = "巡检对象一览")
public class InspectionObject extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 对象编号
     */
    @ApiModelProperty(value = "对象编号")
    private String objectNo;
    /**
     * 对象名称
     */
    @ApiModelProperty(value = "对象名称")
    private String objectName;
    /**
     * 场站
     */
    @ApiModelProperty(value = "场站")
    private Integer station;
    /**
     * 对象状态
     */
    @ApiModelProperty(value = "对象状态")
    private Integer istatus;
    /**
     * 对象类型
     */
    @ApiModelProperty(value = "对象类型")
    private String objectType;
    /**
     * 对象区域
     */
    @ApiModelProperty(value = "对象区域")
    private String objectArea;

	/**
	 * KKS编号
	 */
	@ApiModelProperty(value = "KKS编号")
	private String kksNo;

    /**
     * KKS编号
     */
    @ApiModelProperty(value = "工器具编号")
    private String toolsCodeId;
    /**
     * 取消原因
     */
    @ApiModelProperty(value = "取消原因")
    private String cancelReason;


}
