/**
 * Copyright (c) 2018-2028, Chill Zhuang 庄骞 (smallchill@163.com).
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.energy.modules.inspection.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * EquipmentLedge model export
 * @author edwong
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(16)
public class InspectionPlanExcel implements Serializable {
	private static final long serialVersionUID = 1L;

	@ColumnWidth(20)
	@ExcelProperty(value = "计划编号")
	private String planNo;

	@ColumnWidth(15)
	@ExcelProperty(value = "计划名称")
	private String planName;

	@ColumnWidth(15)
	@ExcelProperty(value = "计划类型")
	private String planType;

	@ColumnWidth(15)
	@ExcelProperty(value = "周期类型")
	private String periodType;

	@ColumnWidth(15)
	@ExcelProperty(value = "周期值")
	private String periodValue;

	@ColumnWidth(20)
	@ExcelProperty(value = "计划起始时间")
	private String startTime;

	@ColumnWidth(20)
	@ExcelProperty(value = "计划终了时间")
	private String endTime;

	@ColumnWidth(15)
	@ExcelProperty(value = "状态")
	private String planStatusName;

	@ColumnWidth(15)
	@ExcelProperty(value = "取消原因")
	private String cancelReason;

}
