package org.energy.modules.inspection.mapper;

import org.apache.ibatis.annotations.Param;
import org.energy.modules.inspection.entity.InspectionPlan;
import org.energy.modules.inspection.excel.InspectionPlanExcel;
import org.energy.modules.inspection.vo.InspectionPlanVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * 巡检计划 Mapper 接口
 *
 * @author Daf
 * @since 2024-07-12
 */
public interface InspectionPlanMapper extends BaseMapper<InspectionPlan> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param inspectionPlan
	 * @return
	 */
	List<InspectionPlanVO> selectInspectionPlanPage(IPage page, InspectionPlanVO inspectionPlan);

	List<InspectionPlanExcel> exportData(@Param("entity") InspectionPlan inspectionPlan);

	/**
	 * 获取路线编号
	 */
	List<InspectionPlan> getPlanList();

	/**
	 * 获取最大编号
	 */
	String getMaxNo(String date);

	/**
	 * 获取路线的信息
	 */
	InspectionPlan getDetail(String planNo);

}
