package org.energy.modules.inspection.mapper;

import org.apache.ibatis.annotations.Param;
import org.energy.modules.inspection.entity.InspectionRoute;
import org.energy.modules.inspection.excel.InspectionRouteExcel;
import org.energy.modules.inspection.vo.InspectionRouteVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 巡检路线 Mapper 接口
 *
 * @author Daf
 * @since 2024-07-10
 */
public interface InspectionRouteMapper extends BaseMapper<InspectionRoute> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param inspectionRoute
	 * @return
	 */
	List<InspectionRouteVO> selectInspectionRoutePage(IPage page, InspectionRouteVO inspectionRoute);

	List<InspectionRouteExcel> exportData(@Param("entity") InspectionRoute inspectionRoute);

	/**
	 * 获取路线编号
	 */
	List<InspectionRoute> getRouteList();

	/**
	 * 获取最大编号
	 */
	String getMaxNo(String date);

	/**
	 * 获取路线的信息
	 */
	InspectionRoute getDetailList(String routeNo);
}
