package org.energy.modules.inspection.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.energy.modules.inspection.entity.InspectionObject;
import org.energy.modules.inspection.entity.InspectionRoute;
import org.energy.modules.inspection.excel.InspectionObjectExcel;
import org.energy.modules.inspection.excel.InspectionRouteExcel;
import org.energy.modules.inspection.vo.InspectionObjectVO;
import com.dayu.daf.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 巡检对象一览 服务类
 *
 * @author Daf
 * @since 2024-07-11
 */
public interface IInspectionObjectService extends BaseService<InspectionObject> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param inspectionObject
	 * @return
	 */
	IPage<InspectionObjectVO> selectInspectionObjectPage(IPage<InspectionObjectVO> page, InspectionObjectVO inspectionObject);

	/**
	 * 获取导出数据
	 *
	 * @param inspectionObject
	 * @return
	 */
	List<InspectionObjectExcel> export(InspectionObjectVO inspectionObject);


	/**
	 * 获取路线编号
	 */
	List<InspectionObject> getObjectList();

	/**
	 * 获取最大任务编号
	 *
	 * @param date
	 */
	String getMaxNo(String date);

	/**
	 * 获取路线的信息
	 */
	InspectionObject getDetailList(String objectNo);

}
