package org.energy.modules.inspection.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import io.micrometer.core.instrument.util.StringUtils;
import org.energy.modules.inspection.entity.InspectionObject;
import org.energy.modules.inspection.entity.InspectionRoute;
import org.energy.modules.inspection.excel.InspectionObjectExcel;
import org.energy.modules.inspection.excel.InspectionRouteExcel;
import org.energy.modules.inspection.vo.InspectionObjectVO;
import org.energy.modules.inspection.mapper.InspectionObjectMapper;
import org.energy.modules.inspection.service.IInspectionObjectService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.energy.modules.leger.excel.EquipmentLedgerExcel;
import org.energy.modules.system.service.IDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 巡检对象一览 服务实现类
 *
 * @author Daf
 * @since 2024-07-11
 */
@Service
public class InspectionObjectServiceImpl extends BaseServiceImpl<InspectionObjectMapper, InspectionObject> implements IInspectionObjectService {
	@Autowired
	IDictService dictService;

	@Override
	public IPage<InspectionObjectVO> selectInspectionObjectPage(IPage<InspectionObjectVO> page, InspectionObjectVO inspectionObject) {
		return page.setRecords(baseMapper.selectInspectionObjectPage(page, inspectionObject));
	}
	@Override
	public List<InspectionObjectExcel> export(InspectionObjectVO inspectionObject) {
		List<InspectionObjectExcel> list = baseMapper.exportData(inspectionObject);
		list.forEach(item -> {
			if (StringUtils.isNotEmpty(item.getStation()))
				item.setStation(dictService.getValue("station", Integer.parseInt(item.getStation())));
			if (StringUtils.isNotEmpty(item.getIstatus()))
				item.setIstatus(dictService.getValue("istatus", Integer.parseInt(item.getIstatus())));
		});
		return list;
	}
	@Override
	public List<InspectionObject> getObjectList() {
		List<InspectionObject> list = baseMapper.getObjectList();
		return list;
	}

	@Override
	public String getMaxNo(String date){
		String maxNo = baseMapper.getMaxNo(date);
		return maxNo;
	}

	@Override
	public InspectionObject getDetailList(String objectNo) {
		InspectionObject DetailList = baseMapper.getDetailList(objectNo);
		return DetailList;
	}
}
