package org.energy.modules.inspection.service.impl;

import org.energy.modules.inspection.entity.InspectionPlan;
import org.energy.modules.inspection.excel.InspectionPlanExcel;
import org.energy.modules.inspection.vo.InspectionPlanVO;
import org.energy.modules.inspection.mapper.InspectionPlanMapper;
import org.energy.modules.inspection.service.IInspectionPlanService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 巡检计划 服务实现类
 *
 * @author Daf
 * @since 2024-07-12
 */
@Service
public class InspectionPlanServiceImpl extends BaseServiceImpl<InspectionPlanMapper, InspectionPlan> implements IInspectionPlanService {

	@Override
	public IPage<InspectionPlanVO> selectInspectionPlanPage(IPage<InspectionPlanVO> page, InspectionPlanVO inspectionPlan) {
		return page.setRecords(baseMapper.selectInspectionPlanPage(page, inspectionPlan));
	}

	@Override
	public List<InspectionPlanExcel> export(InspectionPlan inspectionPlan) {
		List<InspectionPlanExcel> list = baseMapper.exportData(inspectionPlan);
		return list;
	}

	@Override
	public List<InspectionPlan> getPlanList() {
		List<InspectionPlan> list = baseMapper.getPlanList();
		return list;
	}

	@Override
	public String getMaxNo(String date){
		String maxNo = baseMapper.getMaxNo(date);
		return maxNo;
	}

	@Override
	public InspectionPlan getDetail(String planNo) {
		InspectionPlan detail = baseMapper.getDetail(planNo);
		return detail;
	}

}
