package org.energy.modules.inspection.service.impl;

import org.energy.modules.inspection.entity.InspectionRoute;
import org.energy.modules.inspection.excel.InspectionRouteExcel;
import org.energy.modules.inspection.vo.InspectionRouteVO;
import org.energy.modules.inspection.mapper.InspectionRouteMapper;
import org.energy.modules.inspection.service.IInspectionRouteService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 巡检路线 服务实现类
 *
 * @author Daf
 * @since 2024-07-10
 */
@Service
public class InspectionRouteServiceImpl extends BaseServiceImpl<InspectionRouteMapper, InspectionRoute> implements IInspectionRouteService {

	@Override
	public IPage<InspectionRouteVO> selectInspectionRoutePage(IPage<InspectionRouteVO> page, InspectionRouteVO inspectionRoute) {
		return page.setRecords(baseMapper.selectInspectionRoutePage(page, inspectionRoute));
	}

	@Override
	public List<InspectionRouteExcel> export(InspectionRoute inspectionRoute) {
		List<InspectionRouteExcel> list = baseMapper.exportData(inspectionRoute);
		return list;
	}

	@Override
	public List<InspectionRoute> getRouteList() {
		List<InspectionRoute> list = baseMapper.getRouteList();
		return list;
	}

	@Override
	public String getMaxNo(String date){
		String maxNo = baseMapper.getMaxNo(date);
		return maxNo;
	}

	@Override
	public InspectionRoute getDetailList(String routeNo) {
		InspectionRoute DetailList = baseMapper.getDetailList(routeNo);
		return DetailList;
	}

}
