package org.energy.modules.leger.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 技术参数一览实体类
 *
 * @author Daf
 * @since 2024-07-09
 */
@Data
@TableName("l_tech_parameters")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "TechParameters对象", description = "技术参数一览")
public class TechParameters extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 设备台账编码主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "设备台账编码主键")
    private Long eqLedgerId;
    /**
     * 工器具编码主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "工器具编码主键")
    private Long toolsCodeId;
    /**
     * 分类
     */
    @ApiModelProperty(value = "分类")
    private String classification;
    /**
     * 分类描述
     */
    @ApiModelProperty(value = "分类描述")
    private String description;
    /**
     * 技术参数
     */
    @ApiModelProperty(value = "技术参数")
    private String techParameters;
    /**
     * 参数
     */
    @ApiModelProperty(value = "参数")
    private String parameters;


}
