package org.energy.modules.leger.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 工器具编码一览实体类
 *
 * @author Daf
 * @since 2024-07-09
 */
@Data
@TableName("l_tool_inventory_record")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ToolInventoryRecord对象", description = "工器具编码一览")
public class ToolInventoryRecord extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 工器具编码
     */
    @ApiModelProperty(value = "工器具编码")
    private String toolsCodeId;
    /**
     * 工器具名称
     */
    @ApiModelProperty(value = "工器具名称")
    private String toolName;
    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    private String modelSpecification;
    /**
     * 配置日期
     */
    @ApiModelProperty(value = "配置日期")
	@TableField(updateStrategy = FieldStrategy.IGNORED)
    private String configurationDate;
    /**
     * 责任班组
     */
    @ApiModelProperty(value = "责任班组")
    private String responsibleTeam;
    /**
     * 场站
     */
    @ApiModelProperty(value = "场站")
    private Integer stations;
    /**
     * 工器具类别
     */
    @ApiModelProperty(value = "工器具类别")
    private String toolCategory;
    /**
     * 工器具状态
     */
    @ApiModelProperty(value = "工器具状态")
    private String toolStatus;
    /**
     * 已用年限
     */
    @ApiModelProperty(value = "已用年限")
    private String yearsInUsed;
    /**
     * 责任人
     */
    @ApiModelProperty(value = "责任人")
    private String responsiblPerson;
    /**
     * 工器具类别描述
     */
    @ApiModelProperty(value = "工器具类别描述")
    private String toolTypeDescription;
    /**
     * 工器具状态描述
     */
    @ApiModelProperty(value = "工器具状态描述")
    private String toolStatusDescription;
    /**
     * 出厂编号
     */
    @ApiModelProperty(value = "出厂编号")
    private String factoryNo;
    /**
     * 是否检验周期内
     */
	@JsonSerialize(nullsUsing = NullSerializer.class)
    @ApiModelProperty(value = "是否检验周期内")
    private Integer isInspectionPeriod;
    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态")
    private Integer checkStatus;


}
