/**
 * Copyright (c) 2018-2028, Chill Zhuang 庄骞 (smallchill@163.com).
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.energy.modules.leger.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * EquipmentLedge model export
 * @author edwong
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(16)
public class EquipmentLedgerExcel implements Serializable {
	private static final long serialVersionUID = 1L;

	@ColumnWidth(20)
	@ExcelProperty(value = "设备台账编码")
	private String eqLedgerCode;

	@ColumnWidth(15)
	@ExcelProperty(value = "设备描述")
	private String deviceDescription;

	@ColumnWidth(15)
	@ExcelProperty(value = "KKS编码")
	private String kksEncoding;

	@ColumnWidth(15)
	@ExcelProperty(value = "设备种类")
	private String eqType;

	@ColumnWidth(15)
	@ExcelProperty(value = "资产编码")
	private String assetCode;

	@ColumnWidth(15)
	@ExcelProperty(value = "制造商")
	private String manufacturer;

	@ColumnWidth(15)
	@ExcelProperty(value = "制造商国家")
	private String manufacturerCountry;

	@ColumnWidth(15)
	@ExcelProperty(value = "制造商零件号")
	private String manufacturerPartNo;

	@ColumnWidth(15)
	@ExcelProperty(value = "制造年月")
	private String manufactureDate;

	@ColumnWidth(15)
	@ExcelProperty(value = "制造序列号")
	private String manufacturingSerialNo;

	@ColumnWidth(15)
	@ExcelProperty(value = "型号")
	private String model;

	@ColumnWidth(15)
	@ExcelProperty(value = "大小尺寸")
	private String sizeAndSize;

	@ColumnWidth(15)
	@ExcelProperty(value = "对象重量")
	private String objectWeight;

	@ColumnWidth(15)
	@ExcelProperty(value = "审核状态")
	private String checkStatus;

}
