/**
 * Copyright (c) 2018-2028, Chill Zhuang 庄骞 (smallchill@163.com).
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.energy.modules.leger.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * EquipmentLedge model export
 * @author edwong
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(16)
public class ToolInventoryRecordExcel implements Serializable {
	private static final long serialVersionUID = 1L;

	@ColumnWidth(20)
	@ExcelProperty(value = "工器具编码")
	private String toolsCodeId;

	@ColumnWidth(15)
	@ExcelProperty(value = "工器具名称")
	private String toolName;

	@ColumnWidth(15)
	@ExcelProperty(value = "规格型号")
	private String modelSpecification;

	@ColumnWidth(15)
	@ExcelProperty(value = "配置日期")
	private String configurationDate;

	@ColumnWidth(15)
	@ExcelProperty(value = "责任班组")
	private String responsibleTeam;

	@ColumnWidth(15)
	@ExcelProperty(value = "场站")
	private String stations;

	@ColumnWidth(15)
	@ExcelProperty(value = "工器具类别")
	private String toolCategory;

	@ColumnWidth(15)
	@ExcelProperty(value = "工器具状态")
	private String toolStatus;

	@ColumnWidth(15)
	@ExcelProperty(value = "已用年限")
	private String yearsInUsed;

	@ColumnWidth(15)
	@ExcelProperty(value = "责任人")
	private String responsiblPerson;

	@ColumnWidth(15)
	@ExcelProperty(value = "工器具类别描述")
	private String toolTypeDescription;

	@ColumnWidth(15)
	@ExcelProperty(value = "工器具状态描述")
	private String toolStatusDescription;

	@ColumnWidth(15)
	@ExcelProperty(value = "出厂编号")
	private String factoryNo;

	@ColumnWidth(15)
	@ExcelProperty(value = "是否检验周期内")
	private String isInspectionPeriod;

	@ColumnWidth(15)
	@ExcelProperty(value = "审核状态")
	private String checkStatus;

}
