package org.energy.modules.leger.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.apache.ibatis.annotations.Param;
import org.energy.modules.inspection.entity.InspectionObject;
import org.energy.modules.leger.entity.EquipmentLedger;
import org.energy.modules.leger.vo.EquipmentLedgerVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.energy.modules.leger.excel.EquipmentLedgerExcel;

import java.util.List;

/**
 * 设备台账编码一览 Mapper 接口
 *
 * @author Daf
 * @since 2024-07-04
 */
public interface EquipmentLedgerMapper extends BaseMapper<EquipmentLedger> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param equipmentLedger
	 * @return
	 */
	List<EquipmentLedgerVO> selectEquipmentLedgerPage(IPage page, EquipmentLedgerVO equipmentLedger);

	List<EquipmentLedgerExcel> exportData(@Param("vo") EquipmentLedgerVO equipmentLedger);

	/**
	 * 获取kks编号
	 */
	List<EquipmentLedger> getKksNoList();
	/**
	 * 获取kksKey
	 */
	EquipmentLedger getKksKey(String kksNo);
	/**
	 * 获取kks的信息
	 */
	EquipmentLedger getDetailList(String kksNo);

	/**
	 * 获取kksKey
	 */
	EquipmentLedger getEqLedgerCode(String kksNo);
}
