package org.energy.modules.leger.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.apache.ibatis.annotations.Param;
import org.energy.modules.leger.entity.EquipmentLedger;
import org.energy.modules.leger.entity.ToolInventoryRecord;
import org.energy.modules.leger.excel.EquipmentLedgerExcel;
import org.energy.modules.leger.vo.ToolInventoryRecordVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import org.energy.modules.leger.excel.ToolInventoryRecordExcel;

/**
 * 工器具编码一览 Mapper 接口
 *
 * @author Daf
 * @since 2024-07-09
 */
public interface ToolInventoryRecordMapper extends BaseMapper<ToolInventoryRecord> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param toolInventoryRecord
	 * @return
	 */
	List<ToolInventoryRecordVO> selectToolInventoryRecordPage(IPage page, ToolInventoryRecordVO toolInventoryRecord);

	List<ToolInventoryRecordExcel> exportData(@Param("vo") ToolInventoryRecordVO ToolInventoryRecord);

	/**
	 * 获取kks编号
	 */
	List<ToolInventoryRecord> getToolsCodeIdList();
	/**
	 * 获取工器具明细
	 */
	ToolInventoryRecord getDetailList(String toolsCodeId);

	/**
	 * 获取工器具编码
	 */
	ToolInventoryRecord getToolsCodeId(String toolsCodeId);

}
