package org.energy.modules.master.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;
import java.time.LocalDate;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 工器具检查实体类
 *
 * @author Daf
 * @since 2025-01-09
 */
@Data
@TableName("master_equipment_inspection")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "EquipmentInspection对象", description = "工器具检查")
public class EquipmentInspection extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 工器具编码
     */
    @ApiModelProperty(value = "工器具编码")
    private String toolsCodeId;
    /**
     * 检验周期开始日期
     */
    @ApiModelProperty(value = "检验周期开始日期")
    private LocalDate inspectionStartDate;
    /**
     * 检验周期结束日期
     */
    @ApiModelProperty(value = "检验周期结束日期")
    private LocalDate inspectionEndDate;
    /**
     * 检验频率
     */
    @ApiModelProperty(value = "检验频率")
    private Integer inspectionFrequency;
    /**
     * 频率单位
     */
    @ApiModelProperty(value = "频率单位")
    private Integer frequencyUnit;
    /**
     * 开始日期
     */
    @ApiModelProperty(value = "开始日期")
    private LocalDate startDate;
    /**
     * 计划检查日期
     */
    @ApiModelProperty(value = "计划检查日期")
    private LocalDate inspectionPlanDate;
    /**
     * 计划检查流水号
     */
    @ApiModelProperty(value = "计划检查流水号")
    private String inspectionPlanId;
    /**
     * 实际检查日期
     */
    @ApiModelProperty(value = "实际检查日期")
    private LocalDate inspectionDate;
    /**
     * 检查人
     */
    @ApiModelProperty(value = "检查人")
    private Long inspectorStaffId;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
	/**
	 * 工器具名称
	 */
	@ApiModelProperty(value = "工器具名称")
	private String toolsCodeName;
	/**
	 * 场站编码
	 */
	@ApiModelProperty(value = "场站编码")
	private String stationCode;
	/**
	 * 执行状态
	 */
	@ApiModelProperty(value = "执行状态")
	private Integer inspectionStatus;


}
