package org.energy.modules.master.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 历史记录实体类
 *
 * @author Daf
 * @since 2025-01-07
 */
@Data
@TableName("master_history_record")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "HistoryRecord对象", description = "历史记录")
public class HistoryRecord extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * KKS编码
     */
    @ApiModelProperty(value = "KKS编码")
    private String kksCode;
    /**
     * 设备台账编码
     */
    @ApiModelProperty(value = "设备台账编码")
    private String eqLedgerCode;
    /**
     * 工器具编码
     */
    @ApiModelProperty(value = "工器具编码")
    private String toolsCodeId;
    /**
     * 变更类型
     */
    @ApiModelProperty(value = "变更类型")
    private Integer changeType;
    /**
     * 提交时间
     */
    @ApiModelProperty(value = "提交时间")
    private LocalDateTime submitTime;
    /**
     * 审批时间
     */
    @ApiModelProperty(value = "审批时间")
    private LocalDateTime approvalTime;
    /**
     * 审批状态
     */
    @ApiModelProperty(value = "审批状态")
    private Integer approvalStatus;
    /**
     * 审批结果
     */
    @ApiModelProperty(value = "审批结果")
    private Integer approvalResult;
    /**
     * 变更人
     */
    @ApiModelProperty(value = "变更人")
    private Long changeStaffId;
    /**
     * 审批人
     */
    @ApiModelProperty(value = "审批人")
    private Long approverStaffId;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
	/**
	 * 工器具编码
	 */
	@ApiModelProperty(value = "记录编号")
	private String historyNumber;

}
