package org.energy.modules.org.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;
import java.time.LocalDate;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 值别信息实体类
 *
 * @author Daf
 * @since 2024-12-30
 */
@Data
@TableName("org_shift_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ShiftInfo对象", description = "值别信息")
public class ShiftInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 场站编码
     */
    @ApiModelProperty(value = "场站编码")
    private String stationCode;
    /**
     * 值别编号
     */
    @ApiModelProperty(value = "值别编号")
    private String shiftNumber;
    /**
     * 值别名称
     */
    @ApiModelProperty(value = "值别名称")
    private String shiftName;
    /**
     * 创建日期
     */
    @ApiModelProperty(value = "创建日期")
    private LocalDate creationDate;
    /**
     * 班组编号
     */
    @ApiModelProperty(value = "班组编号")
    private String teamNumber;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String contactPhone;
    /**
     * 值别简介
     */
    @ApiModelProperty(value = "值别简介")
    private String shiftDescription;


}
