package org.energy.modules.org.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 人员信息实体类
 *
 * @author Daf
 * @since 2024-12-20
 */
@Data
@TableName("org_staff_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "StaffInfo对象", description = "人员信息")
public class StaffInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 账号
     */
    @ApiModelProperty(value = "账号")
    private String account;
    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    private String name;
    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private String sex;
    /**
     * 电话号码
     */
    @ApiModelProperty(value = "电话号码")
    private String phoneNumber;
    /**
     * 场站编码
     */
    @ApiModelProperty(value = "场站编码")
    private String stationCode;
    /**
     * 部门编号
     */
    @ApiModelProperty(value = "部门编号")
    private String departmentNumber;
    /**
     * 岗位编号
     */
    @ApiModelProperty(value = "岗位编号")
    private String postNumber;
    /**
     * 班组编号
     */
    @ApiModelProperty(value = "班组编号")
    private String teamNumber;
    /**
     * 值别编码
     */
    @ApiModelProperty(value = "值别编码")
    private String shiftNumber;
    /**
     * 生效日期
     */
	@JsonFormat(shape = JsonFormat.Shape.STRING,pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "生效日期")
    private Date effectiveDate;
    /**
     * 失效日期
     */
	@JsonFormat(shape = JsonFormat.Shape.STRING,pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "失效日期")
    private Date invalidDate;
    /**
     * 场站负责人
     */
    @ApiModelProperty(value = "场站负责人")
    private Integer stationHead;
    /**
     * 部门负责人
     */
    @ApiModelProperty(value = "部门负责人")
    private Integer deptHead;
    /**
     * 岗位负责人
     */
    @ApiModelProperty(value = "岗位负责人")
    private Integer positionHead;
    /**
     * 班组负责人
     */
    @ApiModelProperty(value = "班组负责人")
    private Integer teamHead;
    /**
     * 值长
     */
    @ApiModelProperty(value = "值长")
    private Integer shiftLeader;


}
