package org.energy.modules.org.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 场站信息实体类
 *
 * @author Daf
 * @since 2024-12-31
 */
@Data
@TableName("org_station_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "StationInfo对象", description = "场站信息")
public class StationInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 填表人
     */
    @ApiModelProperty(value = "填表人")
    private Long formFillerId;
    /**
     * 填表日期
     */
    @ApiModelProperty(value = "填表日期")
    private Date formFillDate;
    /**
     * 场站编码
     */
    @ApiModelProperty(value = "场站编码")
    private String stationCode;
    /**
     * 场站名称
     */
    @ApiModelProperty(value = "场站名称")
    private String stationName;
    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    private String stationType;
    /**
     * 地理位置
     */
    @ApiModelProperty(value = "地理位置")
    private String geoLocation;
    /**
     * 装机容量
     */
    @ApiModelProperty(value = "装机容量")
    private String installedCapacity;
    /**
     * 电压等级
     */
    @ApiModelProperty(value = "电压等级")
    private String voltageLevel;
    /**
     * 负荷率
     */
    @ApiModelProperty(value = "负荷率")
    private String loadRate;
    /**
     * 电压输入等级
     */
    @ApiModelProperty(value = "电压输入等级")
    private String inputVoltageLevel;
    /**
     * 电压输出等级
     */
    @ApiModelProperty(value = "电压输出等级")
    private String outputVoltageLevel;
    /**
     * 投运日期
     */
    @ApiModelProperty(value = "投运日期")
    private Date operationDate;
    /**
     * 运维状态
     */
    @ApiModelProperty(value = "运维状态")
    private String maintenanceStatus;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String contactPhone;
    /**
     * 最近巡检日期
     */
    @ApiModelProperty(value = "最近巡检日期")
    private Date lastInspectionDate;
    /**
     * 下次巡检日期
     */
    @ApiModelProperty(value = "下次巡检日期")
    private Date nextInspectionDate;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

	/**
	 * 电站状态
	 */
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "电站状态")
	private Integer stationStatus;

	/**
	 * 班组编号
	 */
	@ApiModelProperty(value = "班组编号")
	private String teamNumber;

}
