package org.energy.modules.org.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;
import java.time.LocalDate;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 班组信息实体类
 *
 * @author Daf
 * @since 2024-12-25
 */
@Data
@TableName("org_team_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "TeamInfo对象", description = "班组信息")
public class TeamInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 场站编码
     */
    @ApiModelProperty(value = "场站编码")
    private String stationCode;
    /**
     * 班组编号
     */
    @ApiModelProperty(value = "班组编号")
    private String teamNumber;
    /**
     * 班组名称
     */
    @ApiModelProperty(value = "班组名称")
    private String teamName;
    /**
     * 创建日期
     */
    @ApiModelProperty(value = "创建日期")
    private LocalDate creationDate;
    /**
     * 班组简介
     */
    @ApiModelProperty(value = "班组简介")
    private String teamDescription;
    /**
     * 责任班组
     */
    @ApiModelProperty(value = "责任班组")
    private String responsibleTeam;
	/**
	 * 部门编号
	 */
	@ApiModelProperty(value = "部门编号")
	private String departmentNumber;

}
