package org.energy.modules.org.service;

import org.energy.modules.leger.excel.ToolInventoryRecordExcel;
import org.energy.modules.leger.vo.ToolInventoryRecordVO;
import org.energy.modules.org.entity.StaffInfo;
import org.energy.modules.org.excel.StaffInfoExcel;
import org.energy.modules.org.vo.DepartmentInfoVO;
import org.energy.modules.org.vo.StaffInfoVO;
import com.dayu.daf.core.mp.base.BaseService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.energy.modules.smart.vo.WorkOrderVO;

import java.util.List;

/**
 * 人员信息 服务类
 *
 * @author Daf
 * @since 2024-12-20
 */
public interface IStaffInfoService extends BaseService<StaffInfo> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param staffInfo
	 * @return
	 */
	IPage<StaffInfoVO> selectStaffInfoPage(IPage<StaffInfoVO> page, StaffInfoVO staffInfo);

	/**
	 * 获取详情
	 * @param id
	 * @return
	 */
	StaffInfoVO selectDetail(Long id);

	/**
	 * 获取导出数据
	 *
	 * @param staffInfo
	 * @return
	 */
	List<StaffInfoExcel> export(StaffInfoVO staffInfo);

	/**
	 * 获取性別下拉详情
	 *
	 * @return
	 */
	List<StaffInfoVO> staffSexInfoData();

	/**
	 * 获取人员下拉详情
	 *
	 * @return
	 */
	List<StaffInfoVO> staffInfoData();
}
