package org.energy.modules.org.service.impl;

import io.micrometer.core.instrument.util.StringUtils;
import org.energy.modules.leger.excel.ToolInventoryRecordExcel;
import org.energy.modules.leger.vo.ToolInventoryRecordVO;
import org.energy.modules.org.entity.StaffInfo;
import org.energy.modules.org.excel.StaffInfoExcel;
import org.energy.modules.org.vo.DepartmentInfoVO;
import org.energy.modules.org.vo.PositionInfoVO;
import org.energy.modules.org.vo.StaffInfoVO;
import org.energy.modules.org.mapper.StaffInfoMapper;
import org.energy.modules.org.service.IStaffInfoService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 人员信息 服务实现类
 *
 * @author Daf
 * @since 2024-12-20
 */
@Service
public class StaffInfoServiceImpl extends BaseServiceImpl<StaffInfoMapper, StaffInfo> implements IStaffInfoService {

	@Override
	public IPage<StaffInfoVO> selectStaffInfoPage(IPage<StaffInfoVO> page, StaffInfoVO staffInfo) {
		return page.setRecords(baseMapper.selectStaffInfoPage(page, staffInfo));
	}

	@Override
	public StaffInfoVO selectDetail(Long id) {
		return baseMapper.selectDetail(id);
	}

	@Override
	public List<StaffInfoExcel> export(StaffInfoVO StaffInfo) {
		List<StaffInfoExcel> list = baseMapper.exportData(StaffInfo);
		return list;
	}

	@Override
	public List<StaffInfoVO> staffSexInfoData() {
		return baseMapper.staffSexInfoData();
	}

	@Override
	public List<StaffInfoVO> staffInfoData() {
		return baseMapper.staffInfoData();
	}


}
