package org.energy.modules.org.service.impl;

import org.energy.modules.org.entity.StationInfo;
import org.energy.modules.org.vo.StationInfoVO;
import org.energy.modules.org.mapper.StationInfoMapper;
import org.energy.modules.org.service.IStationInfoService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.Collection;
import java.util.List;

/**
 * 场站信息 服务实现类
 *
 * @author Daf
 * @since 2024-12-31
 */
@Service
public class StationInfoServiceImpl extends BaseServiceImpl<StationInfoMapper, StationInfo> implements IStationInfoService {

	@Override
	public IPage<StationInfoVO> selectStationInfoPage(IPage<StationInfoVO> page, StationInfoVO stationInfo) {
		return page.setRecords(baseMapper.selectStationInfoPage(page, stationInfo));
	}

	@Override
	public StationInfoVO selectDetail(Long id) {
		return baseMapper.selectDetail(id);
	}

	@Override
	public List<StationInfoVO> stationInfoData(String stationCode) {
		return baseMapper.stationInfoData(stationCode);
	}

	@Override
	public List<StationInfoVO> stationTypeInfoData(String stationCode) {
		return baseMapper.stationTypeInfoData(stationCode);
	}

	@Override
	public List<StationInfoVO> maintenanceStatusInfoData(String stationCode) {
		return baseMapper.maintenanceStatusInfoData(stationCode);
	}

	@Override
	public String getMaxNo(String date){
		String maxNo = baseMapper.getMaxNo(date);
		return maxNo;
	}

}
