/**
 * Copyright (c) 2018-2028, Chill Zhuang 庄骞 (smallchill@163.com).
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.energy.modules.smart.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * EquipmentLedge model export
 * @author edwong
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(16)
public class OperationTicketExcel implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * KKS编码
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "KKS编码")
	private String kksEncoding;
	/**
	 * KSS描述
	 */
	@ColumnWidth(20)
	@ExcelProperty(value ="KSS描述")
	private String kksDescription;
	/**
	 * 场站
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "场站")
	private String stationName;
	/**
	 * 操作票编号
	 */
	@ColumnWidth(20)
	@ExcelProperty(value ="操作票编号")
	private String operationTicketNo;

	/**
	 * 工作班组
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "工作班组")
	private String workTeam;
	/**
	 * 工作负责人
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "工作负责人")
	private String workLeader;
	/**
	 * 监护人
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "监护人")
	private String guardian;
	/**
	 * 发令人
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "发令人")
	private String givingOrdersUser;
	/**
	 * 作业风险等级
	 */
	@ColumnWidth(20)
	@ExcelProperty(value ="作业风险等级")
	private String jobRiskLevel;
	/**
	 * 控制等级
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "控制等级")
	private String controlLevel;
	/**
	 * 计划开始时间
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "计划开始时间")
	private String plannedStartTime;
	/**
	 * 计划结束时间
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "计划结束时间")
	private String plannedEndTime;
	/**
	 * 工作签发时间
	 */
	@ColumnWidth(20)
	@ExcelProperty(value ="工作签发时间")
	private String workIssuanceTime;
	/**
	 * 人员资格
	 */
	@ColumnWidth(20)
	@ExcelProperty(value ="人员资格")
	private String personnelQualification;
	/**
	 * 人员状态
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "人员状态")
	private String personnelState;
	/**
	 * 人员防护
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "人员防护")
	private String personnelPritection;
	/**
	 * 安全距离
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "安全距离")
	private String safeDistance;
	/**
	 * 走错间隔
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "走错间隔")
	private String wrongInterval;
	/**
	 * 安全措施落实
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "安全措施落实")
	private String securityMeasuresImplement;
	/**
	 * 开展过程检查
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "开展过程检查")
	private String conductProcessInspections;
	/**
	 * 安全培训落实
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "安全培训落实")
	private String securityTrainingImplement;
	/**
	 * 其他
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "其他")
	private String other;
	/**
	 * 安全技术措施交底
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "安全技术措施交底")
	private String securityMeasuresDisclosure;
	/**
	 * 作业后风险管控情况评价
	 */
	@ColumnWidth(20)
	@ExcelProperty(value ="作业后风险管控情况评价")
	private String riskControlEvaluation;
	/**
	 * 状态
	 */
	@ColumnWidth(20)
	@ExcelProperty(value ="状态")
	private String stsName;
	/**
	 * 是否合格
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "是否合格")
	private String isQuakifiedName;
	/**
	 * 审核状态
	 */
	@ColumnWidth(20)
	@ExcelProperty(value = "审核状态")
	private String reviewStatus;

}
