package org.energy.modules.smart.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * WorkPermit model export
 * @author edwong
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(16)
public class WorkPermitExcel  implements Serializable {
	private static final long serialVersionUID = 1L;

	@ColumnWidth(20)
	@ExcelProperty(value = "KKS编码")
	private String kksEncoding;

	@ColumnWidth(20)
	@ExcelProperty(value = "KKS描述")
	private String kksDescription;

	@ColumnWidth(20)
	@ExcelProperty(value = "场站")
	private String stations;

	@ColumnWidth(20)
	@ExcelProperty(value = "工作票编号")
	private String workTicketNo;

	@ColumnWidth(20)
	@ExcelProperty(value = "工作票类型")
	private String workTicketType;

	@ColumnWidth(20)
	@ExcelProperty(value = "工单")
	private String tickets;

	@ColumnWidth(20)
	@ExcelProperty(value = "班组")
	private String team;

	@ColumnWidth(20)
	@ExcelProperty(value = "工作负责人")
	private String workChargePerson;

	@ColumnWidth(20)
	@ExcelProperty(value = "工作班成员")
	private String workClassMembers;

	@ColumnWidth(20)
	@ExcelProperty(value = "许可人")
	private String licensors;

	@ColumnWidth(20)
	@ExcelProperty(value = "签发人")
	private String issuer;

	@ColumnWidth(20)
	@ExcelProperty(value = "功能位置")
	private String functionalLocation;

	@ColumnWidth(20)
	@ExcelProperty(value = "工作地点")
	private String placeWork;

	@ColumnWidth(20)
	@ExcelProperty(value = "工作内容")
	private String jobDescription;

	@ColumnWidth(20)
	@ExcelProperty(value = "计划开始时间")
	private String planStartDate;

	@ColumnWidth(20)
	@ExcelProperty(value = "工作条件")
	private String workingConditions;

	@ColumnWidth(20)
	@ExcelProperty(value = "计划结束时间")
	private String planEndDate;

	@ColumnWidth(20)
	@ExcelProperty(value = "实际结束时间")
	private String actualEndDate;

	@ColumnWidth(20)
	@ExcelProperty(value = "是否延期")
	private String isExtended;

	@ColumnWidth(20)
	@ExcelProperty(value = "状态")
	private String workState;

	@ColumnWidth(20)
	@ExcelProperty(value = "审核状态")
	private String checkStatus;

}
