package org.energy.modules.smart.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import io.micrometer.core.instrument.util.StringUtils;
import org.energy.modules.smart.entity.WorkOrder;
import org.energy.modules.smart.excel.WorkOrderExcel;
import org.energy.modules.smart.mapper.WorkOrderMapper;
import org.energy.modules.smart.service.IWorkOrderService;
import org.energy.modules.smart.vo.WorkOrderVO;
import org.energy.modules.system.service.IDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  服务实现类
 *
 * @author Daf
 * @since 2024-07-12
 */
@Service
public class WorkOrderServiceImpl extends BaseServiceImpl<WorkOrderMapper, WorkOrder> implements IWorkOrderService {

	@Autowired
	IDictService dictService;

	@Override
	public WorkOrderVO selectDetail(Long id) {
		return baseMapper.selectDetail(id);
	}

	@Override
	public IPage<WorkOrderVO> selectWorkOrderPage(IPage<WorkOrderVO> page, WorkOrderVO workOrder) {
		return page.setRecords(baseMapper.selectWorkOrderPage(page, workOrder));
	}

	@Override
	public List<WorkOrderExcel> export(WorkOrderVO workOrder) {
		List<WorkOrderExcel> list = baseMapper.exportData(workOrder);
		list.forEach(item -> {
			if (StringUtils.isNotEmpty(item.getWorkOrderType()))
				item.setWorkOrderType(dictService.getValue("workorder_type", Integer.parseInt(item.getWorkOrderType())));
			if (StringUtils.isNotEmpty(item.getMaintenanceTaskType()))
				item.setMaintenanceTaskType(dictService.getValue("maintenance_job_type", Integer.parseInt(item.getMaintenanceTaskType())));
			if (StringUtils.isNotEmpty(item.getHandlingResult()))
				item.setHandlingResult(dictService.getValue("workorder_process_res", Integer.parseInt(item.getHandlingResult())));
			if (StringUtils.isNotEmpty(item.getApprovalStatus()))
				item.setApprovalStatus(dictService.getValue("check_status", Integer.parseInt(item.getApprovalStatus())));
		});
		return list;
	}

}
