package org.energy.modules.smart.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import io.micrometer.core.instrument.util.StringUtils;
import org.energy.modules.leger.entity.EquipmentLedger;
import org.energy.modules.leger.excel.EquipmentLedgerExcel;
import org.energy.modules.smart.entity.WorkPermit;
import org.energy.modules.smart.excel.WorkOrderExcel;
import org.energy.modules.smart.excel.WorkPermitExcel;
import org.energy.modules.smart.vo.WorkPermitVO;
import org.energy.modules.smart.mapper.WorkPermitMapper;
import org.energy.modules.smart.service.IWorkPermitService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.energy.modules.system.service.IDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 工作票一览 服务实现类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Service
public class WorkPermitServiceImpl extends BaseServiceImpl<WorkPermitMapper, WorkPermit> implements IWorkPermitService {

	@Autowired
	IDictService dictService;

	@Override
	public IPage<WorkPermitVO> selectWorkPermitPage(IPage<WorkPermitVO> page, WorkPermitVO workPermit) {
		return page.setRecords(baseMapper.selectWorkPermitPage(page, workPermit));
	}

	@Override
	public List<WorkPermitExcel> export(WorkPermitVO workPermit) {
		List<WorkPermitExcel> list = baseMapper.exportData(workPermit);
		list.forEach(item -> {
			if (StringUtils.isNotEmpty(item.getIsExtended()))
				item.setIsExtended(dictService.getValue("yes_no", Integer.parseInt(item.getIsExtended())));
			if (StringUtils.isNotEmpty(item.getStations()))
				item.setStations(dictService.getValue("station", Integer.parseInt(item.getStations())));
			if (StringUtils.isNotEmpty(item.getWorkState()))
				item.setWorkState(dictService.getValue("work_status", Integer.parseInt(item.getWorkState())));
			if (StringUtils.isNotEmpty(item.getCheckStatus()))
				item.setCheckStatus(dictService.getValue("check_status", Integer.parseInt(item.getCheckStatus())));
		});
		return list;
	}
}
