package org.energy.modules.spares.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 入库实体类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Data
@TableName("s_inbound")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Inbound对象", description = "入库")
public class Inbound extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 物资编号
     */
    @ApiModelProperty(value = "物资编号")
    private String materialNo;
    /**
     * 入库编号
     */
    @ApiModelProperty(value = "入库编号")
    private String inboundNo;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private String inboundTime;
    /**
     * 入库申领人
     */
    @ApiModelProperty(value = "入库申领人")
    private String inboundClaimants;
    /**
     * 入库经办人
     */
    @ApiModelProperty(value = "入库经办人")
    private String inboundManager;
    /**
     * 入库数量
     */
    @ApiModelProperty(value = "入库数量")
    private Long inboundCount;
    /**
     * 入库审核状态
     */
    @ApiModelProperty(value = "入库审核状态")
    private Long istatus;


}
