package org.energy.modules.spares.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * spt_manufacturer_info实体类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Data
@TableName("spt_manufacturer_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ManufacturerInfo对象", description = "spt_manufacturer_info")
public class ManufacturerInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 统一社会信用代码/组织机构
     */
    @ApiModelProperty(value = "统一社会信用代码/组织机构")
    private String creditCode;
    /**
     * 制造商名称
     */
    @ApiModelProperty(value = "制造商名称")
    private String manufacturerName;
    /**
     * 注册地址
     */
    @ApiModelProperty(value = "注册地址")
    private String registeredAddress;
    /**
     * 生产地址
     */
    @ApiModelProperty(value = "生产地址")
    private String productionAddress;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String contactNumber;
    /**
     * 电子邮箱
     */
    @ApiModelProperty(value = "电子邮箱")
    private String email;
    /**
     * 经营范围
     */
    @ApiModelProperty(value = "经营范围")
    private String businessScope;
	/**
	 * 审核状态
	 */
	@JsonSerialize(nullsUsing = NullSerializer.class)
    @ApiModelProperty(value = "审核状态")
    private Integer approvalStatus;
	/**
	 * 执行标准
	 */
	@ApiModelProperty(value = "执行标准")
	private String executiveStandards;

}
