package org.energy.modules.spares.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.dayu.daf.core.mp.base.BaseEntity;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 出库实体类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Data
@TableName("s_outbound")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Outbound对象", description = "出库")
public class Outbound extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
	@JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 物资编号
     */
    @ApiModelProperty(value = "物资编号")
    private String materialNo;
    /**
     * 出库编号
     */
    @ApiModelProperty(value = "出库编号")
    private String outboundNo;
    /**
     * 出库时间
     */
    @ApiModelProperty(value = "出库时间")
    private String outboundTime;
    /**
     * 出库申领人
     */
    @ApiModelProperty(value = "出库申领人")
    private String outboundClaimants;
    /**
     * 出库经办人
     */
    @ApiModelProperty(value = "出库经办人")
    private String outboundManager;
    /**
     * 出库数量
     */
    @ApiModelProperty(value = "出库数量")
    private Long outboundCount;
    /**
     * 出库审核状态
     */
    @ApiModelProperty(value = "出库审核状态")
    private Long istatus;


}
