package org.energy.modules.spares.service.impl;

import com.dayu.daf.core.tool.api.R;
import io.micrometer.core.instrument.util.StringUtils;
import org.energy.modules.spares.entity.MaterialClassification;
import org.energy.modules.spares.excel.MaterialClassExcel;
import org.energy.modules.spares.vo.MaterialClassificationVO;
import org.energy.modules.spares.mapper.MaterialClassificationMapper;
import org.energy.modules.spares.service.IMaterialClassificationService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.energy.modules.system.service.IDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * spt_material_classification 服务实现类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Service
public class MaterialClassificationServiceImpl extends BaseServiceImpl<MaterialClassificationMapper, MaterialClassification> implements IMaterialClassificationService {

	@Autowired
	IDictService dictService;

	@Override
	public IPage<MaterialClassificationVO> selectMaterialClassificationPage(IPage<MaterialClassificationVO> page, MaterialClassificationVO materialClassification) {
		return page.setRecords(baseMapper.selectMaterialClassificationPage(page, materialClassification));
	}

	@Override
	public List<MaterialClassExcel> export(MaterialClassificationVO materialClassificationVO) {
		List<MaterialClassExcel> list = baseMapper.exportData(materialClassificationVO);
		list.forEach(item -> {
			if (StringUtils.isNotEmpty(item.getType()))
				item.setType(dictService.getValue("supplies_type", Integer.parseInt(item.getType())));
		});
		return list;
	}

	@Override
	public List<String> getCodeList() {
		return baseMapper.getCodeList();
	}

}
