package org.energy.modules.spares.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.dayu.daf.core.mp.support.Condition;
import org.energy.modules.inspection.entity.InspectionRoute;
import org.energy.modules.inspection.excel.InspectionRouteExcel;
import org.energy.modules.spares.entity.Material;
import org.energy.modules.spares.excel.MaterialExcel;
import org.energy.modules.spares.vo.MaterialVO;
import org.energy.modules.spares.mapper.MaterialMapper;
import org.energy.modules.spares.service.IMaterialService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 物资 服务实现类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Service
public class MaterialServiceImpl extends BaseServiceImpl<MaterialMapper, Material> implements IMaterialService {

	@Override
	public IPage<MaterialVO> selectMaterialPage(IPage<MaterialVO> page, MaterialVO material) {
		return page.setRecords(baseMapper.selectMaterialPage(page, material));
	}

	@Override
	public List<MaterialExcel> exportData(Material material) {
		List<MaterialExcel> list = baseMapper.exportData(material);
		return list;
	}

	@Override
	public List<Material> getNoList() {
		List<Material> list = baseMapper.getNoList();
		return list;
	}

	@Override
	public String getMaxNo(){
		String maxNo = baseMapper.getMaxNo();
		return maxNo;
	}

	@Override
	public MaterialVO getDetailList(String materialNo) {
		MaterialVO DetailList = baseMapper.getDetailList(materialNo);
		return DetailList;
	}

	@Override
	public void updateNum(String materialNo, long num) {
		Material sel = new Material();
		sel.setMaterialNo(materialNo);
		Material entity = getOne(Condition.getQueryWrapper(sel));
		entity.setInventoryCount(entity.getInventoryCount() + num);
		updateById(entity);
	}

}
