package org.energy.modules.spares.service.impl;

import io.micrometer.core.instrument.util.StringUtils;
import org.energy.modules.smart.excel.WorkOrderExcel;
import org.energy.modules.spares.entity.Warehouse;
import org.energy.modules.spares.excel.WarehouseExcel;
import org.energy.modules.spares.vo.WarehouseVO;
import org.energy.modules.spares.mapper.WarehouseMapper;
import org.energy.modules.spares.service.IWarehouseService;
import com.dayu.daf.core.mp.base.BaseServiceImpl;
import org.energy.modules.system.service.IDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * spt_warehouse 服务实现类
 *
 * @author Daf
 * @since 2024-07-15
 */
@Service
public class WarehouseServiceImpl extends BaseServiceImpl<WarehouseMapper, Warehouse> implements IWarehouseService {

	@Autowired
	IDictService dictService;

	@Override
	public IPage<WarehouseVO> selectWarehousePage(IPage<WarehouseVO> page, WarehouseVO warehouse) {
		return page.setRecords(baseMapper.selectWarehousePage(page, warehouse));
	}

	@Override
	public List<WarehouseExcel> export(WarehouseVO warehouseVO) {
		List<WarehouseExcel> list = baseMapper.exportData(warehouseVO);
		list.forEach(item -> {
			if (StringUtils.isNotEmpty(item.getApprovalStatus()))
				item.setApprovalStatus(dictService.getValue("check_status", Integer.parseInt(item.getApprovalStatus())));
		});
		return list;
	}

	@Override
	public List<Warehouse> getWarehouseList() {
		List<Warehouse> list = baseMapper.getWarehouseList();
		return list;
	}
}
