package org.energy.modules.system.util;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Slf4j
public class ExcelUtils {


    /**
     * 解析excel文件
     *
     * @param fileName
     * @param clazz
     * @param <T>
     * @return
     */
    public static <T> List<T> parseExcel(String fileName, Class<T> clazz) {
        List<T> list = new ArrayList<>();
        try {
            EasyExcel.read(fileName, clazz, new AnalysisEventListener<T>() {
                //解析一行运行一次此方法。
                @Override
                public void invoke(T t, AnalysisContext analysisContext) {
                    list.add(t);
                }

                //解析所有数据完成，运行此方法。
                @Override
                public void doAfterAllAnalysed(AnalysisContext analysisContext) {
                }
            }).sheet().doRead();
        } catch (Exception e) {
            log.error("解析excel异常，文件名={}", fileName, e);
        }
        return list;
    }
}
